Show / Hide Table of Contents

# Interface IHttpStreamReader

##### Inherited Members

ILineStream.DataAvailable
ILineStream.FillBufferAsync(CancellationToken)
ILineStream.ReadByteFromBuffer()
ILineStream.ReadLineAsync(CancellationToken)

###### Namespace: Titanium.Web.Proxy.StreamExtended.Network

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface IHttpStreamReader : ILineStream

### Methods

| Improve this Doc View Source

#### CopyBodyAsync(IHttpStreamWriter, Boolean, Int64, Action<Byte[], Int32, Int32>, CancellationToken)

##### Declaration

    Task CopyBodyAsync(IHttpStreamWriter writer, bool isChunked, long contentLength, Action<byte[], int, int> onCopy, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
IHttpStreamWriter | writer |
Boolean | isChunked |
Int64 | contentLength |
Action<Byte[], Int32, Int32> | onCopy |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
Task |

| Improve this Doc View Source

#### Read(Byte[], Int32, Int32)

##### Declaration

    int Read(byte[] buffer, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |
Int32 | offset |
Int32 | count |

##### Returns

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### ReadAsync(Byte[], Int32, Int32, CancellationToken)

##### Declaration

    Task<int> ReadAsync(byte[] buffer, int offset, int count, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | buffer |
Int32 | offset |
Int32 | count |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
Task<Int32> |